# WebResource: update

**Requires [authorization](https://developers.google.com/site-verification/v1/webResource/update#auth)**

Modifies the list of owners for a website or domain.
[Try it now](https://developers.google.com/site-verification/v1/webResource/update#try-it).

The Site Verification system adds or removes owners as needed to match the owner list provided in the updated resource. No changes are made if the updated owner list is identical to the current owner list.  

Before removing an owner from the list, ensure that all verification tokens associated with that owner have been removed. Otherwise, calling [update](https://developers.google.com/site-verification/v1/webResource/update#method_siteVerification.webResource.update) results in an HTTP `400 Bad Request` error.  

Note: You cannot use this method to unverify the authenticated user's ownership of a site. Use the [delete](https://developers.google.com/site-verification/v1/webResource/update#method_siteVerification.webResource.delete) method instead.

## Request

### HTTP request

```
PUT https://www.googleapis.com/siteVerification/v1/webResource/id
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `id` | `string` | The ID of a verified site or domain. |

### Authorization

This request requires authorization with the following scope ([read more about authentication and authorization](https://developers.google.com/site-verification/v1/getting_started#auth)).

| Scope |
|---|
| `https://www.googleapis.com/auth/siteverification` |

### Request body

In the request body, supply a [WebResource resource](https://developers.google.com/site-verification/v1/webResource#resource).

## Response

<br />

If successful, this method returns the updated [WebResource resource](https://developers.google.com/site-verification/v1/webResource#resource) in the response body.

<br />

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.
Alternatively, try the
[standalone
Explorer](https://developers.google.com/apis-explorer/#p/siteVerification/v1/siteVerification.webResource.update).